# Define the library
eos_sources = files(
  'private/helm.cpp',
  'private/eosIO.cpp'
)

eos_headers = files(
    'public/helm.h',
    'public/eosIO.h'
)

dependencies = [
    const_dep,
    quill_dep,
    probe_dep,
    config_dep,
    mfem_dep,
    macros_dep,
]
# Define the libconst library so it can be linked against by other parts of the build system
libeos = static_library('eos',
    eos_sources, 
    include_directories: include_directories('public'),
    cpp_args: ['-fvisibility=default'],
    dependencies: dependencies,
    install : true)

eos_dep = declare_dependency(
    include_directories: include_directories('public'),
    link_with: libeos,
    dependencies: dependencies
)
# Make headers accessible
install_headers(eos_headers, subdir : '4DSSE/eos')